package cofh.thermal.expansion.compat.jei.dynamo;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cofh.lib.util.helpers.StringHelper;
import cofh.thermal.core.ThermalCore;
import cofh.thermal.core.util.recipes.dynamo.DisenchantmentFuel;
import cofh.thermal.expansion.client.gui.dynamo.DynamoLapidaryScreen;
import cofh.thermal.lib.compat.jei.Drawables;
import cofh.thermal.lib.compat.jei.ThermalFuelCategory;
import java.util.List;
import mezz.jei.api.gui.builder.IRecipeLayoutBuilder;
import mezz.jei.api.gui.drawable.IDrawable;
import mezz.jei.api.gui.drawable.IDrawableAnimated;
import mezz.jei.api.helpers.IGuiHelper;
import mezz.jei.api.recipe.IFocusGroup;
import mezz.jei.api.recipe.RecipeIngredientRole;
import net.minecraft.network.chat.Component;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.level.block.Block;

public class DisenchantmentFuelCategory extends ThermalFuelCategory<DisenchantmentFuel> {
  public DisenchantmentFuelCategory(IGuiHelper guiHelper, ItemStack icon, ResourceLocation uid) {
    super(guiHelper, icon, uid);
    this
      
      .background = (IDrawable)guiHelper.drawableBuilder(DynamoLapidaryScreen.TEXTURE, 26, 11, 70, 62).addPadding(0, 0, 16, 78).build();
    this.name = (Component)StringHelper.getTextComponent(((Block)ThermalCore.BLOCKS.get("dynamo_disenchantment")).m_7705_());
    this.durationBackground = Drawables.getDrawables(guiHelper).getScale(5);
    this.duration = guiHelper.createAnimatedDrawable(Drawables.getDrawables(guiHelper).getScaleFill(5), 400, IDrawableAnimated.StartDirection.TOP, true);
  }
  
  public Class<? extends DisenchantmentFuel> getRecipeClass() {
    return DisenchantmentFuel.class;
  }
  
  public void setRecipe(IRecipeLayoutBuilder builder, DisenchantmentFuel fuel, IFocusGroup focuses) {
    List<Ingredient> inputs = fuel.getInputItems();
    builder.addSlot(RecipeIngredientRole.INPUT, 34, 24)
      .addIngredients(inputs.get(0));
  }
}
